Agents that publish an A2A /.well-known/agent-card.json — 6354 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6354 indexed agents, 5539 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“ViralNote” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Schedule, publish, and analyze social posts on TikTok, Instagram, YouTube, X, Threads, LinkedIn.
-
15 MCP tools to create, schedule, and publish social posts across TikTok, Instagram, YouTube Shorts, X, Threads, and LinkedIn — plus media import, webhooks, and analytics.
-
mcp degraded
15 MCP tools to create, schedule, and publish social posts across TikTok, Instagram, YouTube Shorts, X, Threads, and LinkedIn — plus media import, webhooks, and analytics.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 15 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.6 🔓 open 284 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+9.2 🔓 open JSONRPC 130 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
B+9.8 🔑 human key JSONRPC 207 skills -
Delx Agent Operations ProtocolDelx● healthy
Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.
C7.8 🔓 open 26 skills -
ViralNoteLoona Brands LLC● healthy
Social media scheduling, cross-platform publishing, AI video clipping, and post analytics for creators. Reach it over MCP (Streamable HTTP) or the REST API described by the OpenAPI spec.
C+9.0 🔑 human key MCP 6 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
ReadXReadX● healthy
Read-only JSON API for X (Twitter) data — user profiles, timelines, tweets and conversations, edit history, search, Lists, followers/following/mentions, trending topics, Spaces and Communities metadata, long-form articles, and broadcasts. No signup or API key: every call is paid per request in USDC via the x402 protocol, so any x402-capable agent can pay and fetch directly.
A9.8 🔓 open HTTP+JSON 16 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.4 🔓 open JSONRPC 72 skills -
Delx Agent Operations ProtocolDelx● healthy
Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.
C8.4 🔓 open 26 skills